Loading...
Searching...
No Matches
BinaryFilter< T1, T2, And > Class Template Reference

`#include <openvdb/points/IndexFilter.h>`

## Public Member Functions

| BinaryFilter (const T1 &filter1, const T2 &filter2)
bool | initialized () const
index::State | state () const
template<typename LeafT>
index::State | state (const LeafT &leaf) const
template<typename LeafT>
void | reset (const LeafT &leaf)
template<typename IterT>
bool | valid (const IterT &iter) const

## Constructor & Destructor Documentation

## BinaryFilter()

template<typename T1, typename T2, bool And = true>

BinaryFilter | ( | const T1 & | filter1,
|  | const T2 & | filter2 )

inline

## Member Function Documentation

## initialized()

template<typename T1, typename T2, bool And = true>

bool initialized | ( |  | ) | const

inline

## reset()

template<typename T1, typename T2, bool And = true>
template<typename LeafT>

void reset | ( | const LeafT & | leaf | ) |

inline

## state() [1/2]

template<typename T1, typename T2, bool And = true>

index::State state | ( |  | ) | const

inline

## state() [2/2]

template<typename T1, typename T2, bool And = true>
template<typename LeafT>

index::State state | ( | const LeafT & | leaf | ) | const

inline

## valid()

template<typename T1, typename T2, bool And = true>
template<typename IterT>

bool valid | ( | const IterT & | iter | ) | const

inline